lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shawn Heisey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LUCENE-5360) Add support for developing in netbeans IDE
Date Tue, 10 Dec 2013 20:04:07 GMT

    [ https://issues.apache.org/jira/browse/LUCENE-5360?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13844605#comment-13844605
] 

Shawn Heisey commented on LUCENE-5360:
--------------------------------------

{quote}
Are you sure that source level is 1.6 because there is a lot of files with 1.7 features e.g.
try-with-catch and diamond operator?
For example:
BooleanPerceptronClassifier.java (package org.apache.lucene.classification)
DocInverterPerField.java (org.apache.lucene.index)
etc.
{quote}

The SVN trunk (which is what will become 5.0 eventually) requires Java 7 and therefore has
Java 7 constructs.  The branch named branch_4x (dev branch for 4.x versions) only requires
Java 6.  There is a LOT of testing during normal development, and even more testing before
each release, so there is a very high confidence level that the 4.x version does not have
Java 7 code in it.

The BooleanPerceptronClassifier.java file doesn't exist in branch_4x at all, and with a quick
glance, I didn't seem any problems in the 4x version of DocInverterPerField.java.

If you actually do find Java 7 constructs in branch_4x, that's a bug.  Feel free to file issues
and submit patches for any such problems that you find in branch_4x.  If you want to check
branch_4x out from SVN, use the following command:

{code}
svn co http://svn.apache.org/repos/asf/lucene/dev/branches/branch_4x
{code}


> Add support for developing in netbeans IDE
> ------------------------------------------
>
>                 Key: LUCENE-5360
>                 URL: https://issues.apache.org/jira/browse/LUCENE-5360
>             Project: Lucene - Core
>          Issue Type: New Feature
>            Reporter: Michal Hlavac
>            Assignee: Steve Rowe
>            Priority: Minor
>              Labels: IDE, netbeans, patch
>             Fix For: 5.0, 4.7
>
>         Attachments: 5360.patch, LUCENE-5360.patch
>
>
> It will be nice to have ant target for building netbeans IDE project definition.



--
This message was sent by Atlassian JIRA
(v6.1.4#6159)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message